2017-08-20 11:47 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004141Kali Linux[All Projects] General Bugpublic2017-08-15 09:08
Reporterninp0 
Assigned Torhertzog 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.1 
Target VersionFixed in Version 
Summary0004141: Latest apt upgrade Results in 404 Errors
DescriptionUnable to upgrade Kali - updates were working fine until yesterday afternoon...this now occurs on both freshly installed and existing Kali rolling 2017.01 boxes.
Steps To Reproduce$ sudo apt update
Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
Ign:2 http://pkg.jenkins.io/debian-stable binary/ InRelease
Hit:3 http://dl.google.com/linux/chrome/deb stable Release
Hit:4 http://pkg.jenkins.io/debian-stable binary/ Release
Hit:6 http://mirrors.ocf.berkeley.edu/kali kali-rolling InRelease
Reading package lists... Done
Building dependency tree
Reading state information... Done
24 packages can be upgraded. Run 'apt list --upgradable' to see them.

$ apt list --upgradeable
Listing... Done
blends-tasks/kali-rolling 0.6.98 all [upgradable from: 0.6.96]
libjs-jquery-ui/kali-rolling 1.12.1+dfsg-5 all [upgradable from: 1.12.1+dfsg-4]
libmpg123-0/kali-rolling 1.25.4-1 amd64 [upgradable from: 1.25.3-1]
libout123-0/kali-rolling 1.25.4-1 amd64 [upgradable from: 1.25.3-1]
libshine3/kali-rolling 3.1.1-1 amd64 [upgradable from: 3.1.0-5]
libspeechd2/kali-rolling 0.8.7-1 amd64 [upgradable from: 0.8.6-4]
libunbound2/kali-rolling 1.6.4-1+b1 amd64 [upgradable from: 1.6.4-1]
mpg123/kali-rolling 1.25.4-1 amd64 [upgradable from: 1.25.3-1]
openbsd-inetd/kali-rolling 0.20160825-2+b1 amd64 [upgradable from: 0.20160825-2]
python-configparser/kali-rolling 3.5.0-1 all [upgradable from: 3.3.0r2-2kali1]
python-pkg-resources/kali-rolling 36.2.7-2 all [upgradable from: 36.0.1-1]
python-setuptools/kali-rolling 36.2.7-2 all [upgradable from: 36.0.1-1]
python3-alembic/kali-rolling 0.8.8-3 all [upgradable from: 0.8.8-2]
python3-pkg-resources/kali-rolling 36.2.7-2 all [upgradable from: 36.0.1-1]
python3-setuptools/kali-rolling 36.2.7-2 all [upgradable from: 36.0.1-1]
python3-speechd/kali-rolling 0.8.7-1 all [upgradable from: 0.8.6-4]
redis-server/kali-rolling 4:4.0.1-3 amd64 [upgradable from: 3:3.2.9-1]
redis-tools/kali-rolling 4:4.0.1-3 amd64 [upgradable from: 3:3.2.9-1]
redsocks/kali-rolling 0.5-1+b1 amd64 [upgradable from: 0.5-1]
speech-dispatcher/kali-rolling 0.8.7-1 amd64 [upgradable from: 0.8.6-4]
speech-dispatcher-audio-plugins/kali-rolling 0.8.7-1 amd64 [upgradable from: 0.8.6-4]
speech-dispatcher-espeak-ng/kali-rolling 0.8.7-1 amd64 [upgradable from: 0.8.6-4]
tmux/kali-rolling 2.5-3+b1 amd64 [upgradable from: 2.5-3]
tor/kali-rolling 0.3.0.9-1+b1 amd64 [upgradable from: 0.3.0.9-1]

$ sudo apt upgrade -y
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following package was automatically installed and is no longer required:
  libevent-core-2.0-5
Use 'sudo apt autoremove' to remove it.
The following packages will be upgraded:
  blends-tasks libjs-jquery-ui libmpg123-0 libout123-0 libshine3 libspeechd2 libunbound2 mpg123 openbsd-inetd python-configparser python-pkg-resources python-setuptools python3-alembic python3-pkg-resources python3-setuptools
  python3-speechd redis-server redis-tools redsocks speech-dispatcher speech-dispatcher-audio-plugins speech-dispatcher-espeak-ng tmux tor
24 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 5,042 kB of archives.
After this operation, 312 kB of additional disk space will be used.
Err:1 http://http.kali.org/kali kali-rolling/main amd64 blends-tasks all 0.6.98
  404 Not Found
Err:2 http://http.kali.org/kali kali-rolling/main amd64 libjs-jquery-ui all 1.12.1+dfsg-5
  404 Not Found
Err:3 http://http.kali.org/kali kali-rolling/main amd64 libmpg123-0 amd64 1.25.4-1
  404 Not Found
Err:4 http://http.kali.org/kali kali-rolling/main amd64 libout123-0 amd64 1.25.4-1
  404 Not Found
Err:5 http://http.kali.org/kali kali-rolling/main amd64 libshine3 amd64 3.1.1-1
  404 Not Found
Err:6 http://http.kali.org/kali kali-rolling/main amd64 libspeechd2 amd64 0.8.7-1
  404 Not Found
Err:7 http://http.kali.org/kali kali-rolling/main amd64 libunbound2 amd64 1.6.4-1+b1
  404 Not Found
Err:8 http://http.kali.org/kali kali-rolling/main amd64 mpg123 amd64 1.25.4-1
  404 Not Found
Err:9 http://http.kali.org/kali kali-rolling/main amd64 openbsd-inetd amd64 0.20160825-2+b1
  404 Not Found
Err:10 http://http.kali.org/kali kali-rolling/main amd64 python-configparser all 3.5.0-1
  404 Not Found
Err:11 http://http.kali.org/kali kali-rolling/main amd64 python-setuptools all 36.2.7-2
  404 Not Found
Err:12 http://http.kali.org/kali kali-rolling/main amd64 python-pkg-resources all 36.2.7-2
  404 Not Found
Err:13 http://http.kali.org/kali kali-rolling/main amd64 python3-setuptools all 36.2.7-2
  404 Not Found
Err:14 http://http.kali.org/kali kali-rolling/main amd64 python3-pkg-resources all 36.2.7-2
  404 Not Found
Err:15 http://http.kali.org/kali kali-rolling/main amd64 python3-alembic all 0.8.8-3
  404 Not Found
Err:16 http://http.kali.org/kali kali-rolling/main amd64 python3-speechd all 0.8.7-1
  404 Not Found
Err:17 http://http.kali.org/kali kali-rolling/main amd64 redis-server amd64 4:4.0.1-3
  404 Not Found
Err:18 http://http.kali.org/kali kali-rolling/main amd64 redis-tools amd64 4:4.0.1-3
  404 Not Found
Err:19 http://http.kali.org/kali kali-rolling/main amd64 redsocks amd64 0.5-1+b1
  404 Not Found
Err:20 http://http.kali.org/kali kali-rolling/main amd64 speech-dispatcher-espeak-ng amd64 0.8.7-1
  404 Not Found
Err:21 http://http.kali.org/kali kali-rolling/main amd64 speech-dispatcher amd64 0.8.7-1
  404 Not Found
Err:22 http://http.kali.org/kali kali-rolling/main amd64 speech-dispatcher-audio-plugins amd64 0.8.7-1
  404 Not Found
Err:23 http://http.kali.org/kali kali-rolling/main amd64 tmux amd64 2.5-3+b1
  404 Not Found
Err:24 http://http.kali.org/kali kali-rolling/main amd64 tor amd64 0.3.0.9-1+b1
  404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/b/blends/blends-tasks_0.6.98_all.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/j/jqueryui/libjs-jquery-ui_1.12.1+dfsg-5_all.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/m/mpg123/libmpg123-0_1.25.4-1_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/m/mpg123/libout123-0_1.25.4-1_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/s/shine/libshine3_3.1.1-1_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/s/speech-dispatcher/libspeechd2_0.8.7-1_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/u/unbound/libunbound2_1.6.4-1+b1_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/m/mpg123/mpg123_1.25.4-1_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/o/openbsd-inetd/openbsd-inetd_0.20160825-2+b1_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/c/configparser/python-configparser_3.5.0-1_all.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/p/python-setuptools/python-setuptools_36.2.7-2_all.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/p/python-setuptools/python-pkg-resources_36.2.7-2_all.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/p/python-setuptools/python3-setuptools_36.2.7-2_all.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/p/python-setuptools/python3-pkg-resources_36.2.7-2_all.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/a/alembic/python3-alembic_0.8.8-3_all.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/s/speech-dispatcher/python3-speechd_0.8.7-1_all.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/r/redis/redis-server_4.0.1-3_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/r/redis/redis-tools_4.0.1-3_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/r/redsocks/redsocks_0.5-1+b1_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/s/speech-dispatcher/speech-dispatcher-espeak-ng_0.8.7-1_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/s/speech-dispatcher/speech-dispatcher_0.8.7-1_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/s/speech-dispatcher/speech-dispatcher-audio-plugins_0.8.7-1_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/t/tmux/tmux_2.5-3+b1_amd64.deb 404 Not Found
E: Failed to fetch http://http.kali.org/kali/pool/main/t/tor/tor_0.3.0.9-1+b1_amd64.deb 404 Not Found
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

Additional InformationTaken from a fresh install:

$ cat /etc/apt/sources.list
#

# deb cdrom:[Debian GNU/Linux 2017.1 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20170416-02:08]/ kali-rolling contrib main non-free

#deb cdrom:[Debian GNU/Linux 2017.1 _Kali-rolling_ - Official Snapshot amd64 LIVE/INSTALL Binary 20170416-02:08]/ kali-rolling contrib main non-free

deb http://http.kali.org/kali kali-rolling main non-free contrib
# deb-src http://http.kali.org/kali kali-rolling main non-free contrib
Attached Files

-Relationships
+Relationships

-Notes

~0006990

rhertzog (administrator)

I can't reproduce this issue. This kind of error can happen when there's a mismatch between the central server (http.kali.org) and the mirror you are redirect to (mirrors.ocf.berkeley.edu apparently) but that mirror seems up-to-date currently.

It might have been a transient problem because I had to drop obsolete files yesterday to fix a bug.

~0006991

ninp0 (reporter)

Whatever happened w/ the mirror, it appears to be fixed now. Thanks for following up.

~0006993

rhertzog (administrator)

Thanks, closing.
+Notes

-Issue History
Date Modified Username Field Change
2017-08-11 22:26 ninp0 New Issue
2017-08-12 09:59 rhertzog Assigned To => rhertzog
2017-08-12 09:59 rhertzog Status new => feedback
2017-08-12 09:59 rhertzog Note Added: 0006990
2017-08-14 15:00 ninp0 Note Added: 0006991
2017-08-14 15:00 ninp0 Status feedback => assigned
2017-08-15 09:08 rhertzog Status assigned => resolved
2017-08-15 09:08 rhertzog Resolution open => fixed
2017-08-15 09:08 rhertzog Note Added: 0006993
+Issue History